list content keys.md
List Content Keys
Media API · Streaming Locators
POST https://app.mk.io/api/v1/projects/{project_name}/media/streamingLocators/{locator_name}/listContentKeys
List Content Keys used by this Streaming Locator
RBAC Capability Required: ams.streaminglocator.create
Authentication
Authorizationheader — Bearer authentication of the formBearer <token>.
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
project_name |
string | Yes | — |
locator_name |
string | Yes | — |
Example request
curl -X POST "https://app.mk.io/api/v1/projects/{project_name}/media/streamingLocators/{locator_name}/listContentKeys" \
-H "Authorization: Bearer <token>"
Responses
200 — Content Keys used by this Streaming Locator.
contentKeys· list of objects · Optional — The content keys used by this streaming locator- Array items (object):
id· string · Required — The id of the content keylabelReferenceInStreamingPolicy· string · Optional — The label reference in the streaming policypolicyName· string · Optional — The name of the policytracks· list of objects · Optional — Not currently supported. The tracks which use this content key- Array items (object):
trackSelections· list of objects · Required — The track selections- Array items (object):
operation· object · Required — The track property comparison operationEqual· string · Required — The track property comparison operationUnknown· string · Required — The track property comparison operation
property· string · Required — The track property to compare againstvalue· string · Required — The track property value.
- Array items (object):
- Array items (object):
type· enum · Optional — The streaming locator content key type- Allowed values:
CommonEncryptionCenc,CommonEncryptionCbcs,EnvelopeEncryption
- Allowed values:
value· string · Optional — The value of the content key
- Array items (object):
Example:
{
"contentKeys": [
{
"id": "string",
"labelReferenceInStreamingPolicy": "string",
"policyName": "string",
"tracks": [
{
"trackSelections": [
{
"operation": {
"Equal": "string",
"Unknown": "string"
},
"property": "string",
"value": "string"
}
]
}
],
"type": "CommonEncryptionCenc",
"value": "string"
}
]
}
400 — Bad Request
error· object · Required — Pertinent information about the errorcode· string · Required — The error code.detail· string · Required — The error message.extraDetail· map from strings to any · Optional — Extra information regarding this error.[any key]· any — map of additional properties
ref· string · Required — A reference to the request that caused the error.status· integer · Required — The HTTP status code
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
401 — Unauthorized
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
403 — Forbidden
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
404 — Not Found
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
429 — Too Many Requests
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
500 — Internal Server Error
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
Source spec: media-api · operationId: [post]_/api/v1/projects/{project_name}/media/streamingLocators/{locator_name}/listContentKeys